Bug 1848765 - Review Request: golang-github-dravenk-webthing - Implementation of a Web Thing server
Summary: Review Request: golang-github-dravenk-webthing - Implementation of a Web Thin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-18 22:14 UTC by Fabian Affolter
Modified: 2020-07-10 01:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-10 01:00:56 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-06-18 22:14:22 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-dravenk-webthing.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-dravenk-webthing-0.0.1-1.fc31.src.rpm

Project URL: https://github.com/dravenk/webthing-go

Description:
Go implementation of a Web Thing server.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=45866913

rpmlint output:
$ rpmlint golang-github-dravenk-webthing-0.0.1-1.fc31.src.rpm
golang-github-dravenk-webthing.src: W: no-%build-section
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint golang-github-dravenk-webthing-devel-0.0.1-1.fc31.noarch.rpm 
golang-github-dravenk-webthing-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/dravenk/webthing-go/.goipath
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-06-27 19:48:26 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Gwyn Ciesla 2020-06-29 14:42:27 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-dravenk-webthing

Comment 3 Fedora Update System 2020-07-01 07:35:13 UTC
FEDORA-2020-4737639071 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4737639071

Comment 4 Fedora Update System 2020-07-01 08:31:42 UTC
FEDORA-2020-10534db8f9 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-10534db8f9

Comment 5 Fedora Update System 2020-07-02 01:12:02 UTC
FEDORA-2020-10534db8f9 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-10534db8f9 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-10534db8f9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-07-02 01:15:32 UTC
FEDORA-2020-4737639071 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-4737639071 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4737639071

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-07-10 01:00:56 UTC
FEDORA-2020-10534db8f9 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-07-10 01:01:42 UTC
FEDORA-2020-4737639071 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.